Bug 1343115 - [abrt] [faf] lvm2: dm_task_destroy(): /usr/sbin/lvm killed by 11
Summary: [abrt] [faf] lvm2: dm_task_destroy(): /usr/sbin/lvm killed by 11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Rajnoha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 14:30 UTC by Alasdair Kergon
Modified: 2016-06-18 18:32 UTC (History)
12 users (show)

Fixed In Version: lvm2-2.02.150-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:32:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Alasdair Kergon 2016-06-06 14:30:12 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: https://retrace.fedoraproject.org/faf/reports/bthash/10e7202b16cd77eab15a80ea8f291e7ad5813967/


This problem was only present in release 2.02.150 and was fixed upstream by https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=99e96f3ce9d14e30b7150d3d4614cf9ab810e264

commit 99e96f3ce9d14e30b7150d3d4614cf9ab810e264
Author: Zdenek Kabelac <zkabelac@redhat.com>
Date:   Thu Apr 21 20:19:24 2016 +0200

    coverity: fix error paths
    
    Patch 74e704bb4465960b361711c890733cbae1f06e42 missed to update
    error path. Since now we just need to 'return_0' as 'dmt is NULL
    and thus may not be destroyed.

Comment 1 Fedora Update System 2016-06-13 08:40:04 UTC
lvm2-2.02.150-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5437995928

Comment 2 Fedora Update System 2016-06-13 15:57:51 UTC
lvm2-2.02.150-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5437995928

Comment 3 Fedora Update System 2016-06-18 18:32:46 UTC
lvm2-2.02.150-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.